
### Filtres liés aux échanges

#### Filtrer les échanges par action liée

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/BySocialActionFilter.php-->

Ce filtre n'apparait que dans les exports des échanges liés aux parcours d'accompagnement.

Ce filtre permet d'indiquer des types d'action d'accompagnement. Seuls les échanges qui sont associés à au moins une de ces actions d'accompagnement sont pris en compte.

#### Filtrer les échanges par créateur de l'échange

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/ByCreatorFilter.php-->

Ce filtre permet de filtrer les échanges par créateur de l'échange.

Il permet de sélectionner une liste d'utilisateurs.

Si un échange a été créé par un de ces utilisateurs, il est pris en compte.

#### Filtrer les échanges par date

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityDateFilter.php-->

Ce filtre permet de filtrer les échanges par date: il permet d'indiquer deux dates: une date de début, et une date de fin. Seuls les échanges ayant eu lieu entre ces deux dates sont pris en compte.

#### Filtrer les échanges par envoyé / reçu

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/SentReceivedFilter.php-->

Ce filtre permet de filtrer les changes par le champ Envoyé/Reçu.

Ce champ n'est accessible qu'à certains types d'échange, en fonction de la configuration effectuée par des administrateurs fonctionnels.

#### Filtrer les échanges par localisation

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/LocationFilter.php-->

Ce filtre permet de filtrer les échanges par localisation.

Seuls les échanges qui ont été associé à cette localisation sont pris en compte.

#### Filtrer les échanges par métier d'au moins un utilisateur participant

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/UsersJobFilter.php-->

Ce filtre permet de filtrer les échanges: seuls les échanges dont un des utilisateurs participants est associé au métier sélectionné sont pris en compte.

Le métier doit être associé à l'utilisateur à la date de l'échange.

Le filtre prend en compte tous les utilisateurs ajoutés dans les "parties concernées" de l'échange.

L'échange est pris en compte dès qu'un utilisateur dans les "parties concernées" est associé à l'un des métiers demandés.

#### Filtrer les échanges par problématique liée

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/BySocialIssueFilter.php-->

Ce filtre n'apparait que dans les exports des échanges liés aux parcours d'accompagnement.

Ce filtre permet de filtrer les échanges par problématique liée.

Seuls les échanges associés à au moins une problématique liée sont pris en compte.

#### Filtrer les échanges par service du créateur de l'échange

Ce filtre permet de filtrer les échanges par service du créateur de l'échange.

Lorsqu'un utilisateur change de service au cours du temps, le service associé à l'utilisateur au moment de l'échange est pris en compte.

#### Filtrer les échanges par service d'au moins un utilisateur participant

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/UsersScopeFilter.php-->

Ce filtre permet de filtrer les échanges: seuls les échanges dont un des utilisateurs participants est associé au service sélectionné sont pris en compte.

Le service doit être associé à l'utilisateur à la date de l'échange.

Le filtre prend en compte tous les utilisateurs ajoutés dans les "parties concernées" de l'échange.

L'échange est pris en compte dès qu'un utilisateur dans les "parties concernées" est associé à l'un des service demandés.

#### Filtrer les échanges par sujet
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/PersonFilters/ActivityReasonFilter.php-->

Ce filtre permet de filtrer les échanges par sujet.

Seuls les échanges qui comportent au moins un des sujets choisis sont pris en compte.

Le sujet est en champ activé par la configuration de l'instance.

#### Filtrer les échanges par type

Ce filtre permet de filtrer les échanges par type. Un formulaire permet de sélectionner les types d'échanges à prendre en compte.

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityTypeFilter.php-->

#### Filtrer les échanges par type de localisation

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ACPFilters/ActivityTypeFilter.php-->

Ce filtre permet de fitlrer les échanges associés à une localisation d'un certain type.

#### Filtrer les échanges par urgence

Ce filtre permet de filtrer les échanges par urgence.

L'urgence est un champ qui n'apparait qu'en fonction de la configuration de l'instance.

#### Filtrer les échanges par usager participant

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/PersonsFilter.php -->

Filtre les échanges sur base des usagers participants.

Un échange est comptabilisé à partir du moment où il compte un des usagers indiqué dans la configuration du filtre; autrement dit: les échanges qui comportent au moins un des usagers indiqués sont pris en compte. Il n'est donc pas nécessaire que l'échange comporte **tous** les usagers indiqués dans le filtre.


#### Filtrer les échanges par utilisateur participant

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityUsersFilter.php-->

Ce filtre permet de filtrer les échanges par utilisateurs.

Seuls les échanges qui comportent au moins un de ces utilisateurs dans les "utilisateurs concernés" sont pris en compte. Autrement dit: il n'est donc pas nécessaire que l'échange soit associé à **tous** les utilisateurs.

#### Filtrer les échanges par utilisateur principal

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/ActivityUsersFilter.php-->

Ce filtre permet de filtrer les échanges par utilisateur principal.

Le champ "utilisateur principal" n'apparait que pour certains types d'échange, en fonction de la configuration de l'instance.


### Regroupements liés aux échanges

#### Grouper les échanges par localisation de l'échange
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityLocationAggregator.php-->

Groupe les échanges par nom de la localisation de l'échange.

Les localisations qui possèdent le même nom sont regroupées ensemble.

#### Grouper les échanges par usager participant

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/PersonsAggregator.php -->

Groupe les échanges par usager participant à l'échange.

Les échanges sont comptabilisés en regard de chaque usager. Cela signifie que chaque échange est comptabilisé autant de fois qu'il y a de participants à l'échange.

Ce regroupement a pour effet de ne pas faire apparaitre les échanges qui ne comptent pas de participants.


<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityTypeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUserAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUsersAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUsersJobAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/ActivityUsersScopeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/PersonAggregators/ActivityReasonAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Aggregator/SentReceivedAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/AvgActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/AvgActivityVisitDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/CountActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/ListActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/SumActivityDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToACP/SumActivityVisitDuration.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToPerson/CountActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToPerson/ListActivity.php-->
<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Export/LinkedToPerson/StatActivityDuration.php-->