### Filtre liés aux usagers

#### Filtrer les usagers ayant été associés à un échange au cours de la période

<!-- PHPFILE: src/Bundle/ChillActivityBundle/Export/Filter/PersonFilters/PersonHavingActivityBetweenDateFilter.php-->

Ce filtre permet de filtrer les usagers: seuls les usagers ayant eu un échange au cours de la période indiquée sont pris en compte.

De plus, si la liste des sujets d'échanges de ce filtre comporte au moins un élément, ce sujet doit avoir été associé à l'échange. Si la liste ne comporte aucun sujet coché, alors cette deuxième condition n'est pas ajoutée.

#### Filtrer les usagers par comparaison avec l'adresse de référence

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/AddressRefStatusFilter.php-->

Ce filtre permet de détecter les usagers dont l'adresse n'est plus synchronisée avec l'adresse de référence.

Chill maintient à jour une liste d'adresses de référence, qui sont proposées lors de la saisie d'une adresse. Cette liste est régulièrement mise à jour, et cela peut amener à ce que des adresses de référence soient changées: re-numérotation de la rue, modification du code postal, etc. 

Ces modifications apparaissent dans l'interface, et les utilisateurs peuvent choisir d'appliquer la modification (et donc la nouvelle adresse de référence) ou de conserver l'adresse actuelle sans appliquer la modification.

Ce filtre permet de filtrer les usagers en comparant l'adresse de leur ménage et l'adresse de référence qui a été utilisée lors de la création. Seuls les usagers dont l'adresse:

- soit diffère de l'adresse de référence utilisée lors de la création;
- soit diffère de l'adresse de référence utilisée lors de la création, mais dont l'usager a choisi de conserver la forme précédente;
- soit est identique à l'adresse de référence utilisée lors de la création (ce qui est le cas de la plupart des adresses).

#### Filtrer les usagers par composition de ménage

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/ByHouseholdCompositionFilter.php-->

Ce filtre permet de filtrer les usagers par composition de ménage.

L'historique de l'appartenance d'un usager à un ménage est enregistrée, de même que l'historique des compositions de ménage. Une date de calcul est introduite: elle permet de calculer la composition du ménage à la date donnée. 

Seuls les usagers qui appartiennent à un ménage dont la composition est indiquée, et que la composition est également valable à la date indiquée pour le ménage, sont pris en compte.

#### Filtrer les usagers par date de décès

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/DeathdateFilter.php-->

Ce filtre permet de filtrer les usagers en fonction de leur date de décès.

#### Filtrer les usagers par date de naissance

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/BirthdateFilter.php-->

Ce filtre permet de filtrer les usagers en fonction de leur date de naissance.

#### Filtrer les usagers par genre

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/GenderFilter.php-->

Ce filtre permet de filtrer les usagers par genre.

#### Filtrer les usagers par nationalité

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/NationalityFilter.php-->

Ce filtre permet de filtrer les usagers par nationalité.

#### Filtrer les usagers par zone géographique (sur base de l'adresse)

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/GeographicalUnitFilter.php-->

Ce filtre permet de filtrer les usagers sur base de zones géographiques.

Seules les adresses géolocalisées sont prises en compte. Les adresses sont géolocalisées lorsqu'elles sont choisies parmi les adresses de référence. Lorsque seul le code postal est choisi parmi les suggestions, alors l'adresse est géolocalisée à l'intérieur de la zone géographique du code postal, de manière aléatoire.

Une date de calcul permet de ne choisir que les adresses valables à la date donnée.

#### Filtrer les usagers par âge

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/AgeFilter.php-->

Ce filtre permet de filtrer les usagers sur base de leur âge.

Deux paramètres permettent d'indiquer un âge minimum et un âge maximum. Une date de calcul de l'âge est également disponible en paramètre.

Seuls les usagers dont l'âge est compris entre l'âge minimum et l'âge maximum, à la date de calcul indiqué en paramètre, seront pris en compte.

#### Filtrer les usagers par état matrimonial

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/MaritalStatusFilter.php-->

Seuls les usagers associés à l'état matrimonial indiqué en paramètre seront pris en compte.

#### Filtrer les usagers qui ont une addresse de résidence chez un autre usager

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/ResidentialAddressAtUserFilter.php-->

Seuls les usagers qui ont une adresse de résidence auprès d'une autre usagers sont pris en compte. Cette adresse de résidence doit être valable à la date indiquée en paramètre. 

#### Filtrer les usagers qui ont une addresse de résidence chez un tiers


<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/ResidentialAddressAtThirdpartyFilter.php-->

Seuls les usagers qui ont une adresse de résidence auprès d'un tiers sont pris en compte. Cette adresse de résidence doit être valable à la date indiquée en paramètre, et le tiers doit être associée à au moins une catégorie de tiers également indiqué en paramètre.

#### Filtrer les usagers qui sont décédés ou vivants à une certaine date

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/DeadOrAliveFilter.php-->

Seuls les usagers décédés ou vivant à la date donnée sont pris en compte.

La date de naissance et la date de décès de la fiche usager sont pris en compte.

#### Filtrer les usagers sans composition de ménage (ni ménage)

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Filter/PersonFilters/WithoutHouseholdComposition.php-->

Seuls les usagers sans composition de ménage sont pris en compte par ce filtre. Les usagers qui n'ont pas de ménage sont également repris.

La date de calcul permet de choisir le ménage à la date indiquée en paramètre.


### Regroupements liés aux usagers

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/AgeAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/ByHouseholdCompositionAggregator.php-->

#### Grouper les usagers par centre

<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/CenterAggregator.php-->

Ce regroupement demande une date en paramètre.

Ce regroupement permet de classer les indicateurs par centre de l'usager. Le centre pouvant évoluer au cours du temps, il est calculé au moment de la date indiquée en paramètre.

Il peut arriver que les usagers concernés par un parcours, ou les usagers associés à un échange ou un rendez-vous appartiennent à différents centres. Lorsque c'est le cas, le parcours ou l'échange sera comptabilisé une fois dans chaque centre.


<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/CountryOfBirthAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/GenderAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/GeographicalUnitAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/HouseholdPositionAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/MaritalStatusAggregator.php-->
<!-- PHPFILE: src/Bundle/ChillPersonBundle/Export/Aggregator/PersonAggregators/NationalityAggregator.php-->
